Subject: bug#70760: 29.3.50; core dumps when copy in other apps

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 May 2024 20:34:08 +0300

> From: Michael Albinus <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Fri, 17 May 2024 18:23:46 +0200
> 
> But what if an event is added to the input event queue, which has an
> arbitrary format? Or an existing event has been modified? It could look
> like a D-Bus event (the car of the event is `dbus-event'), but the rest
> of the list is random. It must not come via the dbusevent.c mechanism
> I've explained above, anybody can push such an event onto then input
> event queue. But I have no idea how to debug this.

Which file descriptors do we listen to, apart of sub-processes and
inotify?